﻿@model eCommerce.Services.Model.Order
@using eCommerce.Services.Model.Enums


<style>
    .table > tbody > tr > td, .table > tbody > tr > th{
        padding:3px 6px;
    }
</style>
<!-- Panel -->
<div class="panel">
    <div class="panel-body container-fluid">
        <div class="row">
            @Html.Partial("_OrderPrintHeader", Model)
        </div>
        <h4>Detalle de la Compra</h4>
        <div class="row">
            <div class="page-invoice-table table-responsive">
                <table class="table table-hover text-right margin-bottom-0" style="text-transform:uppercase;">
                    <thead>
                        <tr>
                            <th class="text-center" style="width:25px">#</th>
                            <th>Producto</th>
                            <th>Talle</th>
                            <th>Color</th>
                            <th class="text-right">Precio</th>
                            <th class="text-right">Des. (%)</th>
                            <th class="col-sm-1 text-right">Cantidad</th>
                            <th class="col-sm-1 text-right">Subtotal</th>
                        </tr>
                    </thead>
                    <tbody>
                        @{ int i = 1;}
                        @foreach (var item in Model.OrderDetails)
                        {
                            <tr>
                                <td class="text-center">@i.ToString()</td>
                                <td class="text-left">@(item.Product.Code + " - " + item.Product.Title)</td>
                                <td class="text-left">@item.Size.Description</td>
                                <td class="text-left">@item.Color.Description</td>
                                <td nowrap="nowrap">@string.Format("{0:c2}", item.Price)</td>
                                <td nowrap="nowrap">@(item.Discount.HasValue ? string.Format("{0}%", item.Discount.Value) : string.Empty)</td>
                                <td>@item.Quantity</td>
                                <td nowrap="nowrap">@string.Format("{0:c2}", item.SubTotalWithDiscount)</td>
                            </tr>
                            i++;
                        }
                    </tbody>
                </table>
                <table class="table table-hover text-right margin-bottom-0">
                    <tbody>
                        @if (Model.Discount_Percent.HasValue || Model.IVA_Percent.HasValue || Model.SurchargeAmount.HasValue)
                        {
                            <tr>
                                <th class="text-right" style="width:89%">SUBTOTAL</th>
                                <td class="text-right"></td>
                                <td class="text-right">@string.Format("{0:c2}", Model.SubTotal)</td>
                            </tr>
                        }
                        @if (Model.Discount_Percent.HasValue)
                        {
                            <tr>
                                <th class="text-right" style="width:89%">DESCUENTO (@string.Format("%{0}", Model.Discount_Percent.Value))</th>
                                <td class="text-right"></td>
                                <td class="text-right">@string.Format("{0:c2}", Model.Discount.Value)</td>
                            </tr>
                        }
                        @if (Model.IVA_Percent.HasValue)
                        {
                            <tr>
                                <th class="text-right" style="width:89%">IVA (@string.Format("{0}%", Model.IVA_Percent.Value))</th>
                                <td class="text-right"></td>
                                <td class="text-right">@string.Format("{0:c2}", Model.IVA.Value)</td>
                            </tr>
                        }
                        @if (Model.ShippingCost.HasValue && Model.ShippingCost.Value > 0)
                        {
                            <tr class="active">
                                <th class="text-right" style="width:89%">COSTO DE ENVÍO (estimado)</th>
                                <td class="text-right"></td>
                                <td class="text-right">@string.Format("{0:c2}", Model.ShippingCost.Value)</td>
                            </tr>
                        }
                        @if (Model.SurchargeAmount.HasValue)
                        {
                            <tr>
                                <th class="text-right" style="width:89%">RECARGO (@string.Format("{0}%", Model.Surcharge.Value))</th>
                                <td class="text-right"></td>
                                <td class="text-right">@string.Format("{0:c2}", Model.SurchargeAmount.Value)</td>
                            </tr>
                        }
                        @if (Model.CurrenyId == (int)CurrencyEnum.Dolar)
                        {
                            <tr>
                                <th class="text-right" style="width:89%"><strong>TOTAL (USD)</strong></th>
                                <td class="text-right"></td>
                                <td class="text-right"><strong>@string.Format("{0:c2}", Model.OrderTotal)</strong></td>
                            </tr>
                        }
                        else
                        {
                            <tr>
                                <th class="text-right" style="width:89%"><strong>@*@(Model.ShippingCost.HasValue && Model.CurrenyId == (int)CurrencyEnum.Peso && Model.ShippingCost.Value > 0 ? "SUBTOTAL" : "TOTAL")*@TOTAL</strong></th>
                                <td class="text-right"><strong>@Model.OrderDetails.Sum(x => x.Quantity).ToString()</strong></td>
                                <td class="text-right"><strong>@string.Format("{0:c2}", Model.OrderTotalWithShippingCost)</strong></td>
                            </tr>
                        }
                        @*@if (Model.ShippingCost.HasValue && Model.CurrenyId == (int)CurrencyEnum.Peso && Model.ShippingCost.Value > 0)
                        {
                            
                            <tr>
                                <th class="text-right" style="width:85%">COSTO DE ENTREGA</th>
                                <td class="text-right"></td>
                                <td class="text-right">$@Model.ShippingCost.ToString()</td>
                            </tr>
                            <tr>
                                <th class="text-right" style="width:89%"><strong>TOTAL</strong></th>
                                <td class="text-right"><strong>@Model.OrderDetails.Sum(x => x.Quantity).ToString()</strong></td>
                                <td class="text-right"><strong>@string.Format("{0:c2}", Model.OrderTotal)</strong></td>
                            </tr>
                        }*@
                    </tbody>
                </table>
            </div>
        </div>
        
    </div>
</div>
<!-- End Panel -->




